<?php
// +----------------------------------------------------------------------
// | 接口说明-标题方式记录
// +----------------------------------------------------------------------
// | Copyright (c) 2018 https://blog.junphp.com All rights reserved.
// +----------------------------------------------------------------------
// | Licensed ( http://www.apache.org/licenses/LICENSE-2.0 )
// +----------------------------------------------------------------------
// | Author: 小黄牛 <1731223728@qq.com>
// +----------------------------------------------------------------------

namespace app\api\controller\命名空间;

use app\common\controller\_Api;

class 接口名 extends _Api
{

    // 默认留空即可
    protected function initialize()
    {
        parent::initialize();
    }

    /**
     * 请求入口，统一返回方法
     * @todo 无
     * @author 小黄牛
     * @version v1.0.1 + 2020.02.24
     * @deprecated 暂不弃用
     * @global 无
     * @param array $param 请求参数
     * @param object $_this 父类实例 
     * @return void
    */
    public function run($param=[], $_this) {
        
    }
    
    /**
     * 该接口文档说明
     * @author 小黄牛
     * @version v1.0.1 + 2020.02.24
    */
    public function _link() {
        return [
            // 请求头
            'header' => [
                'method' => 'POST', // 请求类型
                'code' => 'utf-8', // 内容编码
                'content-type' => 'application/x-www-form-urlencoded', // 数据类型
                // 其余自定义header
            ],
            // 请求参数
            'param' => [
                // 参考格式
                'name' => 'admin', // 账号 string(32) 默认null 不为空
                'pwd' => 'admin', // 密码 string(32) 默认null 不为空
            ],
            // 返回值
            'return' => [
                // 状态码囊括
                'code' => [
                    200 => '请求成功', 
                    301 => '接口错误',
                    404 => '接口不存在',
                ],
                // data部分返回值说明
                'data' => [
                    'name' => '1731223728', // 账号
                    'sex' => '0', // 性别 0|1|2 未知|男|女
                ]
            ]
        ];
    }
}
