-- phpMyAdmin SQL Dump
-- version 4.4.15.10
-- https://www.phpmyadmin.net
--
-- Host: localhost
-- Generation Time: 2020-01-13 10:14:44
-- 服务器版本： 5.5.62-log
-- PHP Version: 7.0.33

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `test2`
--

-- --------------------------------------------------------

--
-- 表的结构 `tp_auth_admin`
--

CREATE TABLE IF NOT EXISTS `tp_auth_admin` (
  `id` int(11) NOT NULL,
  `name` varchar(32) DEFAULT NULL COMMENT '用户名',
  `pwd` varchar(32) DEFAULT NULL COMMENT 'DM5后的密码',
  `nick` varchar(32) DEFAULT NULL COMMENT '昵称',
  `logo` varchar(120) DEFAULT NULL COMMENT '头像地址',
  `role` int(11) DEFAULT NULL COMMENT '角色ID',
  `phone` varchar(32) DEFAULT NULL COMMENT '手机号',
  `status` tinyint(1) DEFAULT '1' COMMENT '状态 0|1 关闭|开启',
  `type` tinyint(1) DEFAULT '1' COMMENT '身份 1|2|3 管理员|加盟商|商户',
  `auto_time` int(10) DEFAULT NULL COMMENT '七天登录 - 过期时间',
  `auto_rand` int(8) DEFAULT NULL COMMENT '七天登录 - 秘钥',
  `auto_ip` varchar(32) DEFAULT NULL COMMENT '七天登录 - IP',
  `create_time` int(10) DEFAULT NULL COMMENT '新增时间',
  `update_time` int(10) DEFAULT NULL COMMENT '修改时间'
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COMMENT='AUTH - 管理员';

--
-- 转存表中的数据 `tp_auth_admin`
--

INSERT INTO `tp_auth_admin` (`id`, `name`, `pwd`, `nick`, `logo`, `role`, `phone`, `status`, `type`, `auto_time`, `auto_rand`, `auto_ip`, `create_time`, `update_time`) VALUES
(1, 'admin', '1e9cc7b0bad90033900d375b9e839288', '小黄牛', NULL, 0, '15992431688', 1, 1, 0, 0, '', 1557736403, 1557804808);

-- --------------------------------------------------------

--
-- 表的结构 `tp_auth_admin_action`
--

CREATE TABLE IF NOT EXISTS `tp_auth_admin_action` (
  `id` char(32) NOT NULL,
  `admin` int(11) DEFAULT NULL COMMENT '管理员ID',
  `url` varchar(64) DEFAULT NULL COMMENT '控制器-方法',
  `msg` varchar(255) DEFAULT NULL COMMENT '日志说明',
  `param` text COMMENT '请求内容',
  `ip` varchar(32) DEFAULT NULL COMMENT '请求IP',
  `create_time` int(10) DEFAULT NULL COMMENT '新增时间',
  `update_time` int(10) DEFAULT NULL COMMENT '修改时间'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='AUTH - 管理员 - 操作日志表';

-- --------------------------------------------------------

--
-- 表的结构 `tp_auth_admin_action_02`
--

CREATE TABLE IF NOT EXISTS `tp_auth_admin_action_02` (
  `id` char(32) NOT NULL,
  `admin` int(11) DEFAULT NULL COMMENT '管理员ID',
  `url` varchar(64) DEFAULT NULL COMMENT '控制器-方法',
  `msg` varchar(255) DEFAULT NULL COMMENT '日志说明',
  `param` text COMMENT '请求内容',
  `ip` varchar(32) DEFAULT NULL COMMENT '请求IP',
  `create_time` int(10) DEFAULT NULL COMMENT '新增时间',
  `update_time` int(10) DEFAULT NULL COMMENT '修改时间'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='AUTH - 管理员 - 操作日志表';

-- --------------------------------------------------------

--
-- 表的结构 `tp_auth_admin_action_22`
--

CREATE TABLE IF NOT EXISTS `tp_auth_admin_action_22` (
  `id` char(32) NOT NULL,
  `admin` int(11) DEFAULT NULL COMMENT '管理员ID',
  `url` varchar(64) DEFAULT NULL COMMENT '控制器-方法',
  `msg` varchar(255) DEFAULT NULL COMMENT '日志说明',
  `param` text COMMENT '请求内容',
  `ip` varchar(32) DEFAULT NULL COMMENT '请求IP',
  `create_time` int(10) DEFAULT NULL COMMENT '新增时间',
  `update_time` int(10) DEFAULT NULL COMMENT '修改时间'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='AUTH - 管理员 - 操作日志表';

-- --------------------------------------------------------

--
-- 表的结构 `tp_auth_admin_login`
--

CREATE TABLE IF NOT EXISTS `tp_auth_admin_login` (
  `id` int(11) NOT NULL,
  `admin` int(11) DEFAULT NULL COMMENT '管理员ID',
  `ip` varchar(32) DEFAULT NULL COMMENT 'IP',
  `province` varchar(32) DEFAULT NULL COMMENT '省',
  `city` varchar(32) DEFAULT NULL COMMENT '市',
  `area` varchar(32) DEFAULT NULL COMMENT '区',
  `create_time` int(19) DEFAULT NULL COMMENT '登录时间'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='AUTH - 管理员 - 登录日志表';

-- --------------------------------------------------------

--
-- 表的结构 `tp_auth_admin_menu`
--

CREATE TABLE IF NOT EXISTS `tp_auth_admin_menu` (
  `id` int(11) NOT NULL,
  `admin` int(11) DEFAULT NULL COMMENT '管理ID',
  `menu_list` text COMMENT '权限id',
  `create_time` int(10) DEFAULT NULL COMMENT '新增时间',
  `update_time` int(10) DEFAULT NULL COMMENT '修改时间'
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COMMENT='AUTH - 管理员 - 独立权限';

--
-- 转存表中的数据 `tp_auth_admin_menu`
--

INSERT INTO `tp_auth_admin_menu` (`id`, `admin`, `menu_list`, `create_time`, `update_time`) VALUES
(1, 1, '12,13,22,28,31,29,30', 1557737476, 1557801513);

-- --------------------------------------------------------

--
-- 表的结构 `tp_auth_menu`
--

CREATE TABLE IF NOT EXISTS `tp_auth_menu` (
  `id` int(11) NOT NULL COMMENT '主键',
  `pid` int(11) DEFAULT '0' COMMENT '父id',
  `name` varchar(64) DEFAULT NULL COMMENT '菜单名称',
  `controller` varchar(64) DEFAULT NULL COMMENT '控制器名称',
  `action` varchar(128) DEFAULT NULL COMMENT '方法名称',
  `status` tinyint(1) DEFAULT '1' COMMENT '状态 0|1 关闭|开启',
  `icon` varchar(32) DEFAULT NULL COMMENT 'ICON 图标',
  `sort` int(11) DEFAULT '0' COMMENT '排序',
  `create_time` int(10) DEFAULT NULL COMMENT '新增时间',
  `update_time` int(10) DEFAULT NULL COMMENT '修改时间',
  `display` int(1) DEFAULT '1' COMMENT '是否在菜单显示 0|1 否|是',
  `public` int(1) DEFAULT '0' COMMENT '是否公共权限 0|1 否|是',
  `path` varchar(32) DEFAULT NULL COMMENT '完整路径',
  `level` tinyint(1) DEFAULT '1' COMMENT '等级'
) ENGINE=InnoDB AUTO_INCREMENT=38 DEFAULT CHARSET=utf8mb4 COMMENT='AUTH - 权限菜单';

--
-- 转存表中的数据 `tp_auth_menu`
--

INSERT INTO `tp_auth_menu` (`id`, `pid`, `name`, `controller`, `action`, `status`, `icon`, `sort`, `create_time`, `update_time`, `display`, `public`, `path`, `level`) VALUES
(10, 0, '主页', 'index', 'index', 1, 'home', 0, 1557716671, 1557716671, 1, 1, '10', 1),
(11, 10, '控制台', 'index', 'main', 1, '', 0, 1557716698, 1557716698, 1, 1, '10/11', 2),
(12, 0, '系统设置', '', '', 1, 'set', 0, 1557716737, 1557716737, 1, 0, '12', 1),
(13, 12, '权限', '', '', 1, '', 0, 1557716778, 1557716778, 1, 0, '12/13', 2),
(14, 13, '菜单', 'auth', 'menu_list', 1, '', 0, 1557716800, 1557718556, 1, 0, '12/13/14', 3),
(15, 14, '新增', 'auth', 'menu_insert', 1, '', 0, 1557716835, 1557716835, 0, 0, '12/13/14/15', 4),
(16, 14, '修改', 'auth', 'menu_update', 1, '', 0, 1557717011, 1557717011, 0, 0, '12/13/14/16', 4),
(17, 14, '删除', 'auth', 'menu_delete', 1, '', 0, 1557717024, 1557717024, 0, 0, '12/13/14/17', 4),
(18, 13, '角色', 'auth', 'role_list', 1, '', 0, 1557718545, 1557718637, 1, 0, '12/13/18', 3),
(19, 18, '新增', 'auth', 'role_insert', 1, '', 0, 1557718577, 1557718577, 0, 0, '12/13/18/19', 4),
(20, 18, '修改', 'auth', 'role_update', 1, '', 0, 1557718629, 1557718642, 0, 0, '12/13/18/20', 4),
(21, 18, '删除', 'auth', 'role_delete', 1, '', 0, 1557718657, 1557718658, 0, 0, '12/13/18/21', 4),
(22, 13, '管理员', 'auth', 'admin_list', 1, '', 0, 1557730762, 1557730762, 1, 0, '12/13/22', 3),
(23, 22, '新增', 'auth', 'admin_insert', 1, '', 0, 1557730784, 1557730784, 0, 0, '12/13/22/23', 4),
(24, 22, '修改', 'auth', 'admin_update', 1, '', 0, 1557730795, 1557730795, 0, 0, '12/13/22/24', 4),
(25, 22, '删除', 'auth', 'admin_delete', 1, '', 0, 1557730811, 1557730811, 0, 0, '12/13/22/25', 4),
(26, 22, '独立权限', 'auth', 'admin_menu', 1, '', 0, 1557730830, 1557730830, 0, 0, '12/13/22/26', 4),
(27, 18, '权限设置', 'auth', 'role_menu', 1, '', 0, 1557798353, 1557798353, 0, 0, '12/13/18/27', 4),
(28, 22, '登录日志', 'auth', 'admin_login_log', 1, '', 0, 1557800490, 1557800496, 0, 0, '12/13/22/28', 4),
(29, 22, '操作日志', 'auth', 'admin_action_log', 1, '', 0, 1557800518, 1557800832, 0, 0, '12/13/22/29', 4),
(30, 29, '删除', 'auth', 'admin_login_delete', 1, '', 0, 1557801483, 1557801483, 0, 0, '12/13/22/29/30', 5),
(31, 28, '删除', 'auth', 'admin_action_delete', 1, '', 0, 1557801497, 1557801498, 0, 0, '12/13/22/28/31', 5),
(32, 10, '修改密码', 'auth', 'admin_pwd', 1, '', 0, 1557803756, 1557803756, 0, 1, '10/32', 2),
(33, 10, 'CMD工具', 'cmd', 'index', 1, '', 0, 1578019094, 1578019094, 0, 0, '10/33', 2),
(34, 12, '定时任务', 'crontab', 'index', 1, '', 0, 1578648653, 1578648653, 1, 0, '12/34', 2),
(35, 34, '新增', 'crontab', 'insert', 1, '', 0, 1578648666, 1578648666, 0, 0, '12/34/35', 3),
(36, 34, '删除', 'crontab', 'delete', 1, '', 0, 1578648678, 1578648678, 0, 0, '12/34/36', 3),
(37, 34, '修改', 'crontab', 'update', 1, '', 0, 1578648689, 1578648689, 0, 0, '12/34/37', 3);

-- --------------------------------------------------------

--
-- 表的结构 `tp_auth_role`
--

CREATE TABLE IF NOT EXISTS `tp_auth_role` (
  `id` int(11) NOT NULL,
  `name` varchar(64) DEFAULT NULL COMMENT '角色名称',
  `status` tinyint(1) DEFAULT '1' COMMENT '状态 0|1 关闭|开启',
  `menu_list` text COMMENT '权限列表，用逗号分隔',
  `create_time` int(10) DEFAULT NULL COMMENT '新增时间',
  `update_time` int(10) DEFAULT NULL COMMENT '修改时间'
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb4 COMMENT='AUTH - 角色';

--
-- 转存表中的数据 `tp_auth_role`
--

INSERT INTO `tp_auth_role` (`id`, `name`, `status`, `menu_list`, `create_time`, `update_time`) VALUES
(4, '测试', 1, '12,13,14,15,16,17,18,19,20,21,27,22,23,24,25,26', 1557726285, 1557798370);

-- --------------------------------------------------------

--
-- 表的结构 `tp_cmd_admin`
--

CREATE TABLE IF NOT EXISTS `tp_cmd_admin` (
  `ca_id` int(11) NOT NULL,
  `ca_nick` varchar(45) DEFAULT NULL COMMENT '昵称',
  `ca_name` varchar(30) NOT NULL COMMENT '用户名',
  `ca_pwd` varchar(35) DEFAULT NULL COMMENT '密码(md5+注册时间)',
  `ca_add_time` int(10) DEFAULT NULL COMMENT '注册时间',
  `ca_status` tinyint(1) DEFAULT '1' COMMENT '状态 0关闭 1开启'
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8 COMMENT='CMD工具-账号表';

--
-- 转存表中的数据 `tp_cmd_admin`
--

INSERT INTO `tp_cmd_admin` (`ca_id`, `ca_nick`, `ca_name`, `ca_pwd`, `ca_add_time`, `ca_status`) VALUES
(1, '超级账号', 'admin', '5b72613633647bf23556bb404c74745d', 1542850535, 1);

-- --------------------------------------------------------

--
-- 表的结构 `tp_cmd_admin_action_log`
--

CREATE TABLE IF NOT EXISTS `tp_cmd_admin_action_log` (
  `caa_id` int(11) NOT NULL COMMENT '主键',
  `ca_id` int(11) DEFAULT NULL COMMENT 'CMD账号ID',
  `caa_ip` varchar(15) DEFAULT NULL COMMENT '提交时的IP',
  `caa_content` varchar(1024) DEFAULT NULL COMMENT '命令行',
  `caa_time` int(10) DEFAULT NULL COMMENT '操作时间'
) ENGINE=MyISAM AUTO_INCREMENT=91 DEFAULT CHARSET=utf8 COMMENT='CMD工具-命令行提交记录';

-- --------------------------------------------------------

--
-- 表的结构 `tp_cmd_admin_login_log`
--

CREATE TABLE IF NOT EXISTS `tp_cmd_admin_login_log` (
  `cal_id` int(11) NOT NULL COMMENT '主键',
  `ca_id` int(11) DEFAULT NULL COMMENT 'cmd账号ID',
  `cal_ip` varchar(15) DEFAULT NULL COMMENT '登录IP',
  `cal_time` int(10) DEFAULT NULL COMMENT '登录时间',
  `cal_province` varchar(15) DEFAULT NULL COMMENT '登录地址省',
  `cal_city` varchar(25) DEFAULT NULL COMMENT '登录地址市',
  `cal_area` varchar(25) DEFAULT NULL COMMENT '登录地址区'
) ENGINE=MyISAM AUTO_INCREMENT=4 DEFAULT CHARSET=utf8 COMMENT='CMD工具-账号登录日志';

-- --------------------------------------------------------

--
-- 表的结构 `tp_crontab`
--

CREATE TABLE IF NOT EXISTS `tp_crontab` (
  `id` int(11) NOT NULL COMMENT 'ID',
  `title` varchar(128) NOT NULL COMMENT '任务名称',
  `task` text NOT NULL COMMENT '执行代码',
  `bin_log` tinyint(1) NOT NULL DEFAULT '0' COMMENT '是否记录日志 0|1',
  `status` tinyint(1) NOT NULL DEFAULT '0' COMMENT '状态 0|1',
  `second` varchar(16) NOT NULL COMMENT '秒',
  `minute` varchar(16) NOT NULL COMMENT '分',
  `hour` varchar(16) NOT NULL COMMENT '时',
  `day` varchar(16) NOT NULL COMMENT '天',
  `month` varchar(16) NOT NULL COMMENT '月',
  `week` varchar(16) NOT NULL COMMENT '周',
  `create_time` int(11) NOT NULL COMMENT '新增时间'
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8 COMMENT='定时任务表';

--
-- 转存表中的数据 `tp_crontab`
--

INSERT INTO `tp_crontab` (`id`, `title`, `task`, `bin_log`, `status`, `second`, `minute`, `hour`, `day`, `month`, `week`, `create_time`) VALUES
(1, '测试请求百度', 'curl http://www.baidu.com', 0, 1, '5', '*', '*', '*', '*', '*', 1578649577),
(2, '测试shell脚本', '/home/php/7.3.13/bin/php -r "echo ''小黄牛真帅！'';"', 1, 1, '2', '*', '*', '*', '*', '*', 1578649901);

--
-- Indexes for dumped tables
--

--
-- Indexes for table `tp_auth_admin`
--
ALTER TABLE `tp_auth_admin`
  ADD PRIMARY KEY (`id`),
  ADD KEY `role` (`role`) USING BTREE,
  ADD KEY `name` (`name`),
  ADD KEY `phone` (`phone`);

--
-- Indexes for table `tp_auth_admin_action`
--
ALTER TABLE `tp_auth_admin_action`
  ADD PRIMARY KEY (`id`),
  ADD KEY `admin` (`admin`);

--
-- Indexes for table `tp_auth_admin_action_02`
--
ALTER TABLE `tp_auth_admin_action_02`
  ADD PRIMARY KEY (`id`),
  ADD KEY `admin` (`admin`);

--
-- Indexes for table `tp_auth_admin_action_22`
--
ALTER TABLE `tp_auth_admin_action_22`
  ADD PRIMARY KEY (`id`),
  ADD KEY `admin` (`admin`);

--
-- Indexes for table `tp_auth_admin_login`
--
ALTER TABLE `tp_auth_admin_login`
  ADD PRIMARY KEY (`id`),
  ADD KEY `admin` (`admin`);

--
-- Indexes for table `tp_auth_admin_menu`
--
ALTER TABLE `tp_auth_admin_menu`
  ADD PRIMARY KEY (`id`),
  ADD KEY `admin` (`admin`);

--
-- Indexes for table `tp_auth_menu`
--
ALTER TABLE `tp_auth_menu`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `tp_auth_role`
--
ALTER TABLE `tp_auth_role`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `tp_cmd_admin`
--
ALTER TABLE `tp_cmd_admin`
  ADD PRIMARY KEY (`ca_id`);

--
-- Indexes for table `tp_cmd_admin_action_log`
--
ALTER TABLE `tp_cmd_admin_action_log`
  ADD PRIMARY KEY (`caa_id`),
  ADD KEY `m_id` (`ca_id`) USING BTREE;

--
-- Indexes for table `tp_cmd_admin_login_log`
--
ALTER TABLE `tp_cmd_admin_login_log`
  ADD PRIMARY KEY (`cal_id`),
  ADD KEY `m_id` (`ca_id`) USING BTREE;

--
-- Indexes for table `tp_crontab`
--
ALTER TABLE `tp_crontab`
  ADD PRIMARY KEY (`id`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table `tp_auth_admin`
--
ALTER TABLE `tp_auth_admin`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=3;
--
-- AUTO_INCREMENT for table `tp_auth_admin_login`
--
ALTER TABLE `tp_auth_admin_login`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `tp_auth_admin_menu`
--
ALTER TABLE `tp_auth_admin_menu`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=2;
--
-- AUTO_INCREMENT for table `tp_auth_menu`
--
ALTER TABLE `tp_auth_menu`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键',AUTO_INCREMENT=38;
--
-- AUTO_INCREMENT for table `tp_auth_role`
--
ALTER TABLE `tp_auth_role`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=5;
--
-- AUTO_INCREMENT for table `tp_cmd_admin`
--
ALTER TABLE `tp_cmd_admin`
  MODIFY `ca_id` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=4;
--
-- AUTO_INCREMENT for table `tp_cmd_admin_action_log`
--
ALTER TABLE `tp_cmd_admin_action_log`
  MODIFY `caa_id` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键',AUTO_INCREMENT=91;
--
-- AUTO_INCREMENT for table `tp_cmd_admin_login_log`
--
ALTER TABLE `tp_cmd_admin_login_log`
  MODIFY `cal_id` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键',AUTO_INCREMENT=4;
--
-- AUTO_INCREMENT for table `tp_crontab`
--
ALTER TABLE `tp_crontab`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'ID',AUTO_INCREMENT=3;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
